Skip navigation
Alcenana
Currently Being Moderated

Can't install Adobe Digital Editions 2.0 on Windows 8

Nov 14, 2012 2:58 AM

Tags: #.net #adobe_digital_editions #ade #windows_8

The ADE2.0 installer asks for Microsoft .NET Framework 3.5 Service Pack 1 on my fresh install of Windows 8 (over Vista), but I'm up to date with everything in Windows Update.

 

I tried downloading and installing .NET from the page suggested by the ADE intaller but when I launch the .NET installer it says I already got that or a newer version.

 

On the Adobe site I can't find anymore the ADE 1.7.2 installer.

 

Is it a known issue or is it just me?

 
Replies
  • Currently Being Moderated
    Nov 14, 2012 10:04 AM   in reply to Alcenana

    I have the same problem.  I even went back and reinstalled all the old versions... what a mess.. still no positive results.

     
    |
    Mark as:
  • Currently Being Moderated
    Nov 20, 2012 6:41 PM   in reply to Alcenana

    ADE requires Microsoft .Net 3.5 when installing version 1.8 or higher. I'm using windows 8 and have successfully gotten 1.7.2.1131 to run. You'll have to pull it off a download site like windows9.com. I assume 2.0 will be updated soon enough to use .Net 4.0.

     
    |
    Mark as:
  • Currently Being Moderated
    Nov 20, 2012 7:58 PM   in reply to m_brooks

    I would not assume anything.  Part of my frustration with ADE is that

    changes take an ice age to be rolled out.  ADE 2.0 was in Beta for more

    than six months that I know of, and does not address some of the

    hardware/software issues that are over a year old.

     

    ===========

     
    |
    Mark as:
  • Currently Being Moderated
    Nov 21, 2012 8:56 AM   in reply to Frustrated in AZ

    Hi

     

    I had installation problems with ADE 2 due to using an older AMD processor.  After several tries at Chat I was given a link to ADE 1.7.   Here it is:

     

    http://kb2.adobe.com/cps/403/kb403051/attachments/setup.exe

     
    |
    Mark as:
  • Currently Being Moderated
    Nov 21, 2012 10:36 AM   in reply to RogerOsborn

    Many thanks, that link is really helpful.

     

    Now at least I can use ADE 1.7 while waiting for ADE 2.1 for Win8.

     
    |
    Mark as:
  • Currently Being Moderated
    Nov 29, 2012 7:31 AM   in reply to Alcenana

    Windows Update will not install .NET 3.5 for you.

     

    Use Control Panel -> Programs -> "Turn Windows features on or off". You should see .NET 3.5 as the first thing in that list. Select it and click OK. It will install .NET 3.5.

     

    You should be able to install ADE 2 after that.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points